Crystal Space: csCallStack Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCallStack Class Reference

Call stack. More...

`#include <csutil/callstack.h>`

List of all members.

## Public Member Functions
virtual void | Free ()=0
| Release the memory for this call stack.
csString | GetEntryAll (size_t i, bool brief=false)
| Obtain complete text for an entry.
virtual size_t | GetEntryCount ()=0
| Get number of entries in the stack.
virtual bool | GetFunctionName (size_t num, csString &str)=0
| Get the function for an entry.
virtual bool | GetLineNumber (size_t num, csString &str)=0
| Get file and line number for an entry.
virtual bool | GetParameters (size_t num, csString &str)=0
| Get function parameter names and values.
void | Print (FILE *f=stdout, bool brief=false)
| Print the complete stack.
## Protected Member Functions
virtual | ~csCallStack ()

## Detailed Description

Call stack.

Definition at line 31 of file callstack.h.

## Member Function Documentation

virtual void csCallStack::Free | ( |  | ) | `[pure virtual]`

Release the memory for this call stack.

csString csCallStack::GetEntryAll | ( | size_t | i,
|  | bool | brief = `false` |
| ) |  |  | `[inline]`

Obtain complete text for an entry.

Parameters:

  | i | Index of the entry.
  | brief | Brief - line number and parameters are omitted.

Definition at line 85 of file callstack.h.

virtual size_t csCallStack::GetEntryCount | ( |  | ) | `[pure virtual]`

Get number of entries in the stack.

virtual bool csCallStack::GetFunctionName | ( | size_t | num,
|  | csString & | str |
| ) |  |  | `[pure virtual]`

Get the function for an entry.

Contains usually raw address, function name and module name. Returns false if an error occured or a name is not available.

virtual bool csCallStack::GetLineNumber | ( | size_t | num,
|  | csString & | str |
| ) |  |  | `[pure virtual]`

Get file and line number for an entry.

Returns false if an error occured or a line number is not available.

virtual bool csCallStack::GetParameters | ( | size_t | num,
|  | csString & | str |
| ) |  |  | `[pure virtual]`

Get function parameter names and values.

Returns false if an error occured or if parameters are not available.

void csCallStack::Print | ( | FILE * | f = `stdout`,
|  | bool | brief = `false` |
| ) |  |  | `[inline]`

Print the complete stack.

Parameters:

  | f | File handle to print to.
  | brief | Brief output - line number and parameters are omitted.

Definition at line 65 of file callstack.h.

The documentation for this class was generated from the following file:

- csutil/callstack.h